﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Animation;

namespace SLRadWindow
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        static MainPage()
        {
            var binding = new CommandBinding();
            binding.Command = ButtonCommands.Navigate;
            binding.Executed += CommandBinding_Executed;
            CommandManager.RegisterClassCommandBinding(typeof(RadWindow), binding);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            DialogParameters parameters = new DialogParameters();
            parameters.ContentStyle = App.Current.Resources["RadConfirmStyle"] as Style;
            parameters.Content = "Hello";
            RadWindow.Confirm(parameters);
        }

        private static void CommandBinding_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            string source = Convert.ToString(e.Parameter);
        }
    }
}